%!octave 
%
%     MLP
%      
%       OS : GNU/Linux 3.9.3-1-ARCH 
% COMPILER : GNU Octave, version 3.8.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: mlp_test.m,v 1.1 2015/03/06 17:20:01 mechanoid Exp $

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
function retval=mlp_test(X,W),
   szX=size(X,1);
   cl=size(W,2)+1; % количество слоёв
   r=[] ; 
   for i=1:szX,
	  l=X(i,:); % входной слой
	  for j=2:cl, 
		 l = mlp_activate( [ l -1.0 ] * W{j-1} ) ; % слой номер j
	  endfor
	  r=[ r ; l ] ;
   endfor
   retval = r ;
endfunction
