%!octave 
%
%      
%       OS : GNU/Linux 3.9.3-1-ARCH 
% COMPILER : GNU Octave, version 3.8.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: monot_inc.m,v 1.1 2015/05/05 10:00:46 mechanoid Exp $



% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
% последовательность x монотонно возрастает
function retval=monot_inc(x),
   % вычисляем разницу попарно x(i)-x(i+1)
   v=[0.0 x]-[x 0.0] ; v(end)=[] ; v(1)=[] ;
   s=sum(v>0.0) ; % количество пар, для которых x(i)=>x(i+1) 
   retval=(s==0);
endfunction

