%!octave 
%
%     MLP back propagation
%      
%       OS : GNU/Linux 3.9.3-1-ARCH 
% COMPILER : GNU Octave, version 3.8.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: plot_error.m,v 1.2 2015/02/23 08:37:35 mechanoid Exp $

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
% рисуем график изменения ошибки
function retval=plot_error(er,sl),
   pix_size="-S640,640";
   pix_font_size=10;
   pix_format="gif";
 
   se=size(er,2);
   clf; hold on; grid on; set(gca,'fontsize',pix_font_size); 
   plot( [1:se], er, '-r' ) ;

   ssl=sprintf("%i ",sl);

   t=sprintf('iter: %i, error - start: %.3f, last: %.3f, max: %.3f\nnnet size: %s ',
		      se,er(1),er(end),max(er), ssl);
   title(t);

   file=sprintf("result/error.%s",pix_format);
   fm=sprintf("-d%s",pix_format);
   print(file,fm,pix_size) ;

endfunction

